<?php
/**
 * Default Values.
 *
 * @package PrimeBulletin
 */

if (!function_exists('primebulletin_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function primebulletin_get_default_theme_options(){

        $primebulletin_defaults = array();

        $primebulletin_defaults['twp_primebulletin_home_sections_33'] = array(

            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'yes',
                'section_category' => '',
                'tiles_post_per_page' => 5,
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'section_category_3' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title_1' => esc_html__('Block Title One','primebulletin'),
                'home_section_title_2' => esc_html__('Block Title Tab','primebulletin'),
            ),
            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'no',
                'home_section_title' => '',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
                'section_video_ratio' => 'default',
                'section_video_autoplay' => 'autoplay-disable',
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
            ),
        );

        // Options.
        $primebulletin_defaults['global_sidebar_layout'] = 'left-sidebar';
        $primebulletin_defaults['primebulletin_archive_layout'] = 'default';
        $primebulletin_defaults['primebulletin_pagination_layout'] = 'numeric';
        $primebulletin_defaults['footer_column_layout'] = 3;
        $primebulletin_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'primebulletin');
        $primebulletin_defaults['ed_ticker_slider_autoplay'] = 0;
        $primebulletin_defaults['ed_header_trending_news'] = 1;
        $primebulletin_defaults['ed_header_trending_posts_title'] = esc_html__('Trending News', 'primebulletin');
        $primebulletin_defaults['ed_header_ad'] = 0;
        $primebulletin_defaults['ed_header_ticker_posts'] = 1;
        $primebulletin_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'primebulletin');
        $primebulletin_defaults['ed_image_content_inverse'] = 0;
        $primebulletin_defaults['ed_related_post'] = 1;
        $primebulletin_defaults['related_post_title'] = esc_html__('More Stories', 'primebulletin');
        $primebulletin_defaults['twp_navigation_type'] = 'norma-navigation';
        $primebulletin_defaults['primebulletin_single_post_layout'] = 'layout-1';
        $primebulletin_defaults['ed_post_thumbnail'] = 0;
        $primebulletin_defaults['ed_post_date'] = 1;
        $primebulletin_defaults['ed_post_category'] = 1;
        $primebulletin_defaults['ed_header_overlay'] = 0;
        $primebulletin_defaults['ed_floating_next_previous_nav'] = 1;       
        $primebulletin_defaults['primebulletin_header_bg_size'] = 1;
        $primebulletin_defaults['ed_preloader'] = 1;
        $primebulletin_defaults['ed_header_bg_fixed'] = 0;
        $primebulletin_defaults['ed_header_bg_overlay'] = 1;
        $primebulletin_defaults['post_date_format'] = 'default';
        $primebulletin_defaults['ed_fullwidth_layout'] = 'default';
        $primebulletin_defaults['ed_post_views'] = 0;
        $primebulletin_defaults['ed_scroll_top_button'] = 1;

        $primebulletin_defaults['ed_top_header']             = 0;
        $primebulletin_defaults['ed_top_header_date']             = 0;
        $primebulletin_defaults['ed_ticker_slider_wide_layout']             = 0;
        $primebulletin_defaults['ed_tags_wide_layout']             = 0;
        $primebulletin_defaults['ed_post_tags']             = 1;
        $primebulletin_defaults['ed_post_read_later']             = 1;

        // Pass through filter.
        $primebulletin_defaults = apply_filters('primebulletin_filter_default_theme_options', $primebulletin_defaults);

        return $primebulletin_defaults;

    }

endif;
