<?php
/**
 * Pagination Settings
 *
 * @package PrimeBulletin
 */

$primebulletin_default = primebulletin_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'primebulletin_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'primebulletin' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'primebulletin_pagination_layout',
	array(
	'default'           => $primebulletin_default['primebulletin_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'primebulletin_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'primebulletin' ),
	'section'     => 'primebulletin_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','primebulletin'),
		'numeric' => esc_html__('Numeric Method','primebulletin'),
		'load-more' => esc_html__('Ajax Load More Button','primebulletin'),
		'auto-load' => esc_html__('Ajax Auto Load','primebulletin'),
	),
	)
);