<?php
/**
* Sections Repeater Options.
*
* @package PrimeBulletin
*/

$primebulletin_post_category_list = primebulletin_post_category_list();
$primebulletin_defaults = primebulletin_get_default_theme_options();
$home_sections = array(
        
        'main-banner' => esc_html__('Slider & Vertical Slider','primebulletin'),
        'banner-blocks-1' => esc_html__('Slider & Tab Block','primebulletin'),
        'latest-posts-blocks' => esc_html__('Latest Posts Block','primebulletin'),
        'tiles-blocks' => esc_html__('Tiles Block','primebulletin'),
        'advertise-blocks' => esc_html__('Advertise Block','primebulletin'),
        'home-widget-area' => esc_html__('Widgets Area Block','primebulletin'),

    );

$primebulletin_video_aspect_ratio = primebulletin_video_aspect_ratio();
$primebulletin_video_autoplay = primebulletin_video_autoplay();

// Slider Section.
$wp_customize->add_section( 'home_sections_repeater',
	array(
	'title'      => esc_html__( 'Homepage Sections', 'primebulletin' ),
	'priority'   => 150,
	'capability' => 'edit_theme_options',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'twp_primebulletin_home_sections_33', array(
    'sanitize_callback' => 'primebulletin_sanitize_repeater',
    'default' => json_encode( $primebulletin_defaults['twp_primebulletin_home_sections_33'] ),
    // 'transport'           => 'postMessage',
));

$wp_customize->add_control(  new PrimeBulletin_Repeater_Controler( $wp_customize, 'twp_primebulletin_home_sections_33', 
    array(
        'section' => 'home_sections_repeater',
        'settings' => 'twp_primebulletin_home_sections_33',
        'primebulletin_box_label' => esc_html__('New Section','primebulletin'),
        'primebulletin_box_add_control' => esc_html__('Add New Section','primebulletin'),
        'primebulletin_box_add_button' => false,
    ),
        array(
            'section_ed' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Section', 'primebulletin' ),
                'class'       => 'home-section-ed'
            ),
            'home_section_type' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Section Type', 'primebulletin' ),
                'options'     => $home_sections,
                'class'       => 'home-section-type'
            ),
            'home_section_title' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
            'section_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'primebulletin' ),
                'options'     => $primebulletin_post_category_list,
                'class'       => 'home-repeater-fields-hs'
            ),
            'section_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category', 'primebulletin' ),
                'options'     => $primebulletin_post_category_list,
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
             'tiles_post_per_page' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Posts Per Page', 'primebulletin' ),
                'options'     => array( 
                    '5' => 5,
                    '10' => 10,
                ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
             'home_section_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Slider Area Title', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'section_post_slide_cat' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'primebulletin' ),
                'options'     => $primebulletin_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            
            'advertise_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Advertise Image', 'primebulletin' ),
                'description' => esc_html__( 'Recommended Image Size is 970x250 PX.', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'advertise_link' => array(
                'type'        => 'link',
                'label'       => esc_html__( 'Advertise Image Link', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'ed_arrows_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Arrows', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'ed_dots_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Dot', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'ed_autoplay_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Autoplay', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields main-banner-fields'
            ),
            'home_section_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Tab Area Title', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'home_section_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Vertical Slide Title', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'ed_tab' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Tab', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs ed-tabs-ac banner-blocks-1-fields'
            ),
            'cat_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title One', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_1' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category One', 'primebulletin' ),
                'options'     => $primebulletin_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'cat_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Two', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_2' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Two', 'primebulletin' ),
                'options'     => $primebulletin_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'cat_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Three', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs '
            ),
            'section_category_3' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Three', 'primebulletin' ),
                'options'     => $primebulletin_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_category_4' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Four', 'primebulletin' ),
                'options'     => $primebulletin_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_vertical_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Vertical Slider Post Category', 'primebulletin' ),
                'options'     => $primebulletin_post_category_list,
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'section_video_ratio' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Video Aspect Ratio', 'primebulletin' ),
                'options'     => $primebulletin_video_aspect_ratio,
                'class'       => 'home-repeater-fields-hs latest-posts-blocks-fields'
            ),
            'section_video_autoplay' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Video Autoplay', 'primebulletin' ),
                'options'     => $primebulletin_video_autoplay,
                'class'       => 'home-repeater-fields-hs latest-posts-blocks-fields'
            ),
            'ed_flip_column' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Flip Column Right to Left', 'primebulletin' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
    )
));

// Info.
$wp_customize->add_setting(
    'primebulletin_notiece_info',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new PrimeBulletin_Info_Notiece_Control( 
        $wp_customize,
        'primebulletin_notiece_info',
        array(
            'settings' => 'primebulletin_notiece_info',
            'section'       => 'home_sections_repeater',
            'label'         => esc_html__( 'Info', 'primebulletin' ),
        )
    )
);

$wp_customize->add_setting(
    'primebulletin_premium_notiece',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new PrimeBulletin_Premium_Notiece_Control( 
        $wp_customize,
        'primebulletin_premium_notiece',
        array(
            'label'      => esc_html__( 'Home Page Blocks', 'primebulletin' ),
            'settings' => 'primebulletin_premium_notiece',
            'section'       => 'home_sections_repeater',
        )
    )
);