<?php
/**
 * Widget FUnctions.
 *
 * @package PrimeBulletin
 */
/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function primebulletin_widgets_init(){

    $primebulletin_default = primebulletin_get_default_theme_options();

    register_sidebar(array(
        'name' => esc_html__('Sidebar', 'primebulletin'),
        'id' => 'sidebar-1',
        'description' => esc_html__('Add widgets here.', 'primebulletin'),
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3 class="widget-title"><span>',
        'after_title' => '</span></h3>',
    ));

    $twp_primebulletin_home_sections_33 = get_theme_mod('twp_primebulletin_home_sections_33', json_encode($primebulletin_default['twp_primebulletin_home_sections_33']));
    $twp_primebulletin_home_sections_33 = json_decode($twp_primebulletin_home_sections_33);

    foreach( $twp_primebulletin_home_sections_33 as $primebulletin_home_section ){

        $home_section_type = isset( $primebulletin_home_section->home_section_type ) ? $primebulletin_home_section->home_section_type : '';

        switch( $home_section_type ){

            case 'home-widget-area':

                $ed_home_widget_area = isset( $primebulletin_home_section->section_ed ) ? $primebulletin_home_section->section_ed : '';

                if( $ed_home_widget_area == 'yes' ){

                    register_sidebar(array(
                        'name' => esc_html__('Homepage Main Widget Area', 'primebulletin'),
                        'id' => 'primebulletin-home-main-widget-area',
                        'description' => esc_html__('Add widgets here.', 'primebulletin'),
                        'before_widget' => '<div id="%1$s" class="widget %2$s">',
                        'after_widget' => '</div>',
                        'before_title' => '<h2 class="block-title"><span>',
                        'after_title' => '</span></h2>',
                    ));

                }

                break;

            default:

                break;

        }

    }

    $primebulletin_default = primebulletin_get_default_theme_options();
    $footer_column_layout = absint(get_theme_mod('footer_column_layout', $primebulletin_default['footer_column_layout']));

    for( $i = 0; $i < $footer_column_layout; $i++ ){

        if ($i == 0) {
            $count = esc_html__('One', 'primebulletin');
        }
        if ($i == 1) {
            $count = esc_html__('Two', 'primebulletin');
        }
        if ($i == 2) {
            $count = esc_html__('Three', 'primebulletin');
        }

        register_sidebar(array(
            'name' => esc_html__('Footer Widget ', 'primebulletin') . $count,
            'id' => 'primebulletin-footer-widget-' . $i,
            'description' => esc_html__('Add widgets here.', 'primebulletin'),
            'before_widget' => '<div id="%1$s" class="widget %2$s">',
            'after_widget' => '</div>',
            'before_title' => '<h3 class="widget-title"><span>',
            'after_title' => '</span></h3>',
        ));

    }

}

add_action('widgets_init', 'primebulletin_widgets_init');
require get_template_directory() . '/inc/widgets/widget-base.php';
require get_template_directory() . '/inc/widgets/author.php';
require get_template_directory() . '/inc/widgets/category.php';
require get_template_directory() . '/inc/widgets/recent-post.php';
require get_template_directory() . '/inc/widgets/social-link.php';
require get_template_directory() . '/inc/widgets/slider-tab-posts.php';
require get_template_directory() . '/inc/widgets/carousel-slide.php';
require get_template_directory() . '/inc/widgets/slider-widget.php';
require get_template_directory() . '/inc/widgets/cat-posts-widget.php';
require get_template_directory() . '/inc/widgets/list-posts-widget.php';
require get_template_directory() . '/inc/widgets/post-grid-widgte.php';
require get_template_directory() . '/inc/widgets/tiles-posts-widget.php';
require get_template_directory() . '/inc/widgets/featured-category-widget.php';