<?php
/**
 * Latest Posts
 *
 * @package PrimeBulletin
 */
if( !function_exists('primebulletin_latest_blocks') ):
    
    function primebulletin_latest_blocks($primebulletin_home_section){

        global $post;
        $primebulletin_default = primebulletin_get_default_theme_options();

        $primebulletin_archive_layout = esc_attr( get_theme_mod( 'primebulletin_archive_layout', $primebulletin_default['primebulletin_archive_layout'] ) ); ?>
        
        <div class="theme-block theme-block-archive">

            <?php
            if( !is_front_page() ) {
                primebulletin_breadcrumb();
            }

            if( have_posts() ): ?>

                <div class="article-wraper archive-layout <?php echo 'archive-layout-' . esc_attr( $primebulletin_archive_layout ); ?>">
                    <?php while (have_posts()) :
                        the_post();

                        if( !is_page() ){

                            get_template_part( 'template-parts/content', get_post_format() );
                            
                        }else{
                            get_template_part('template-parts/content', 'single');
                        }


                    endwhile; ?>
                </div>

                <?php if( !is_page() ): do_action('primebulletin_archive_pagination'); endif;

            else :

                get_template_part('template-parts/content', 'none');

            endif; ?>

        </div>
        
    <?php
    }
    
endif;
