<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package WordPress
 * @subpackage PrimeBulletin
 * @since 1.0.0
 */

$primebulletin_default = primebulletin_get_default_theme_options();
$primebulletin_post_layout = esc_html( get_post_meta( get_the_ID(), 'primebulletin_post_layout', true ) );
$primebulletin_feature_image = esc_html( get_post_meta( get_the_ID(), 'primebulletin_ed_feature_image', true ) );
if (empty($primebulletin_feature_image)) {
	$primebulletin_ed_feature_image = esc_attr(get_theme_mod('ed_post_thumbnail'));
} else{
	$primebulletin_ed_feature_image = esc_attr($primebulletin_feature_image);
}

if( is_page() ){

	$primebulletin_post_layout = get_post_meta(get_the_ID(), 'primebulletin_page_layout', true);
	
}
if( $primebulletin_post_layout == '' || $primebulletin_post_layout == 'global-layout' ){
    
    $primebulletin_post_layout = get_theme_mod( 'primebulletin_single_post_layout',$primebulletin_default['primebulletin_single_post_layout'] );

}
	
	primebulletin_disable_post_views();
primebulletin_disable_post_like_dislike();

$primebulletin_ed_post_views = esc_html( get_post_meta( get_the_ID(), 'primebulletin_ed_post_views', true ) );
$primebulletin_ed_post_read_time = esc_html( get_post_meta( get_the_ID(), 'primebulletin_ed_post_read_time', true ) );
$primebulletin_ed_post_author_box = esc_html( get_post_meta( get_the_ID(), 'primebulletin_ed_post_author_box', true ) );
$primebulletin_ed_post_social_share = esc_html( get_post_meta( get_the_ID(), 'primebulletin_ed_post_social_share', true ) );
$primebulletin_ed_post_reaction = esc_html( get_post_meta( get_the_ID(), 'primebulletin_ed_post_reaction', true ) );

if( $primebulletin_ed_post_read_time ){ primebulletin_disable_post_read_time(); }
if( $primebulletin_ed_post_author_box ){ primebulletin_disable_post_author_box(); }
if( $primebulletin_ed_post_reaction ){ primebulletin_disable_post_reaction(); }
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>> 

	<?php

	if( empty( $primebulletin_ed_feature_image ) && $primebulletin_post_layout != 'layout-2' ){ ?>

		<div class="post-thumbnail">

			<?php primebulletin_post_thumbnail(); ?>
			
		</div>

	<?php
	}

	if ( is_singular() && $primebulletin_post_layout != 'layout-2' ) { ?>

		<header class="entry-header">

			<?php
			if ( 'post' === get_post_type() ) { ?>

				<div class="entry-meta">

					<?php primebulletin_entry_footer( $cats = true, $tags = false, $edits = false, $text = false, $icon = false ); ?>

				</div>

			<?php  } ?>

			<h1 class="entry-title entry-title-large">

	            <?php the_title(); ?>

	        </h1>

		</header>

	<?php }

	if ( $primebulletin_post_layout != 'layout-2' && is_single() && 'post' === get_post_type() ) { ?>

		<div class="entry-meta">

			<?php
			primebulletin_posted_by();
			if( !$primebulletin_ed_post_views ){ primebulletin_post_view_count(); }
			?>

		</div>

	<?php  } ?>
	
	<div class="post-content-wrap">

		<?php if( is_singular() && empty( $primebulletin_ed_post_social_share ) && class_exists( 'Booster_Extension_Class' ) && 'post' === get_post_type() ){ ?>

			<div class="post-content-share">
				<?php echo do_shortcode('[booster-extension-ss layout="layout-1" status="enable"]'); ?>
			</div>

		<?php } ?>

		<div class="post-content">

			<div class="entry-content">

				<?php

				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'primebulletin' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );

				if( !class_exists('Booster_Extension_Class') || is_page() ):

                    wp_link_pages(array(
                        'before' => '<div class="page-links">' . esc_html__('Pages:', 'primebulletin'),
                        'after' => '</div>',
                    ));

                endif; ?>

			</div>

			<?php
			if ( is_singular() && 'post' === get_post_type() ) { ?>

				<div class="entry-footer">

                    <div class="entry-meta">
                         <?php primebulletin_post_like_dislike(); ?>
                    </div>

                    <div class="entry-meta">
                        <?php primebulletin_entry_footer( $cats = false, $tags = true, $edits = true ); ?>
                    </div>

				</div>

			<?php } ?>

		</div>

	</div>

</article>