<?php
/**
 * Header Layout 2
 *
 * @package PrimeBulletin
 */
$primebulletin_default = primebulletin_get_default_theme_options();
$primebulletin_header_bg_size = get_theme_mod( 'primebulletin_header_bg_size', $primebulletin_default['primebulletin_header_bg_size'] );
$ed_header_bg_fixed = get_theme_mod( 'ed_header_bg_fixed', $primebulletin_default['ed_header_bg_fixed'] );
$ed_header_bg_overlay = get_theme_mod( 'ed_header_bg_overlay', $primebulletin_default['ed_header_bg_overlay'] ); ?>

<header id="site-header" class="theme-header <?php if( $ed_header_bg_overlay ){ echo 'header-overlay-enabled'; } ?>" role="banner">
    
    <div class="header-mainbar <?php if( get_header_image() ){ if( $ed_header_bg_fixed ){ echo 'data-bg-fixed'; } ?> data-bg header-bg-<?php echo esc_attr( $primebulletin_header_bg_size ); ?> <?php } ?> "  <?php if( get_header_image() ){ ?> data-background="<?php echo esc_url(get_header_image()); ?>" <?php } ?>>
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">
                <div class="header-titles">
                    <?php
                    primebulletin_site_logo();
                    primebulletin_site_description();
                    ?>
                </div>
            </div>

            <div class="header-item header-item-right">

                <?php primebulletin_advance_post_search(); ?>
                <?php primebulletin_search_offcanvas_icon_render(); ?>

            </div>
        </div>
    </div>

    <div class="header-navbar">
        <div class="wrapper header-wrapper">
            <div class="header-item header-item-left">

                <div class="header-navigation-wrapper header-item-mid">
                    <div class="site-navigation">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'primebulletin'); ?>" role="navigation">
                            <ul class="primary-menu theme-menu">
                                <?php
                                if( has_nav_menu('primebulletin-primary-menu') ){

                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'primebulletin-primary-menu',
                                            'walker' => new primebulletin\PrimeBulletin_Walkernav(),
                                        )
                                    );

                                }else{

                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new PrimeBulletin_Walker_Page(),
                                        )
                                    );

                                } ?>
                            </ul>
                        </nav>
                    </div>
                </div>

            </div>

            <div class="header-item header-item-right">
                <?php
                $ed_header_trending_news = get_theme_mod('ed_header_trending_news', $primebulletin_default['ed_header_trending_news']);
                if ($ed_header_trending_news) {
                    $ed_header_trending_posts_title = get_theme_mod('ed_header_trending_posts_title', $primebulletin_default['ed_header_trending_posts_title']); ?>
                    <div class="topbar-trending">
                        <button type="button" class="navbar-control navbar-control-trending-news">
                            <span class="navbar-control-trigger" tabindex="-1">
                                <span class="navbar-controller">
                                    <span class="navbar-control-icon">
                                        <?php primebulletin_the_theme_svg('blaze'); ?>
                                    </span>
                                    <span class="navbar-control-label">
                                        <?php echo esc_html($ed_header_trending_posts_title); ?>
                                    </span>
                                </span>
                            </span>
                        </button>
                    </div>
                <?php } ?>
            </div>
        </div>
        <?php primebulletin_content_trending_news_render(); ?>
    </div>

</header>
